“Invalid argument supplied for foreach()” error

Home Forums Payment Gateways by User Roles for WooCommerce “Invalid argument supplied for foreach()” error

Viewing 3 posts - 1 through 3 (of 3 total)
  • Author
    Posts
  • #93905
    Gavin Owen
    Guest

    Hi

    Can you please help, we seemed to have developed the below error

    Warning: Invalid argument supplied for foreach() in /home/*******/public_html/wp-content/plugins/payment-gateways-by-user-roles-for-woocommerce-pro/includes/class-alg-wc-payment-gateways-by-user-roles-core.php on line 79

    We have current deactivated due to error showing on frontend

    #93906
    Dhruvin
    Participant
    Plugin Author

    Hi Gavin,

    I would need some more details on what could be going wrong for you. It could most probably be some other plugin conflicting with the available gateways on the store.

    Btw, I did a test with the latest versions of WordPress and WooCommerce and everything seems to be working fine at my end.

    I will drop an email to continue this discussion further.

    Best Regards,
    Dhruvin

    #93907
    Dhruvin
    Participant
    Plugin Author

    For anyone else who might be facing this issue. We have released an update to the plugin that would solve this issue.

    It was an issue with compatibility with other payment gateway plugins.

Viewing 3 posts - 1 through 3 (of 3 total)
  • You must be logged in to reply to this topic.